Skip to main content
GET
/
api
/
v1
/
images
cURL
curl --request GET \
  --url https://api.example.com/api/v1/images \
  --header 'Authorization: Bearer <token>'
{
  "images": [
    {
      "base_image_id": "<string>",
      "created_at": "<string>",
      "image_name": "<string>",
      "is_public": true,
      "owner_id": "<string>",
      "size_mib": 123,
      "source_type": "<string>",
      "description": "<string>"
    }
  ],
  "limit": 123,
  "offset": 123,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.vers.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

limit
integer<int64> | null
required

Maximum number of images to return (default: 50, max: 100)

offset
integer<int64> | null
required

Number of images to skip (default: 0)

Response

List of base images

images
object[]
required
limit
integer<int64>
required
offset
integer<int64>
required
total
integer<int64>
required